"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const async_ssr_manager_1 = require("./internal/async-ssr-manager");
const async_ssr_manager_context_1 = require("./internal/async-ssr-manager-context");
const validate_config_1 = require("./internal/validate-config");
/**
 * @see [[AsyncSsrManagerV1]] for further information.
 */
exports.asyncSsrManagerDefinition = {
    id: 's2:async-ssr-manager',
    optionalDependencies: {
        featureServices: {
            's2:logger': '^1.0.0'
        }
    },
    create: env => {
        const context = async_ssr_manager_context_1.createAsyncSsrManagerContext(env.featureServices);
        const { timeout } = validate_config_1.validateConfig(env.config) || {};
        const asyncSsrManager = new async_ssr_manager_1.AsyncSsrManager(context, timeout);
        return {
            '1.0.0': () => ({ featureService: asyncSsrManager })
        };
    }
};
//# sourceMappingURL=index.js.map